/*
 * RumbleBot.
 * Der Rover ist auch mit einem Geschütz ausgestattet, dass nur in Fahrrichtung feuern kann.
 * Der Feuerbefehl ist „f“. Die Reichweite des Geschützes entspricht der Scanreichweite.
 * Wälder, Felsen und Wasser blockieren Schüsse.
 * Der Rover ist beim ersten Treffer zerstört. Wer überlebt am längsten?
 * docker run --rm -p 63187:63187 mediaeng/bots rumble
 */

public class RumbleTest {
    public static void main(String[] args) {
        int numberOfBots = 5;

        Thread[] botThreads = new Thread[numberOfBots];

        for (int i = 0; i < numberOfBots; i++) {
            RumbleBot rumbleBot = new RumbleBot(args);

            botThreads[i] = new Thread(rumbleBot::run);
            botThreads[i].start();
        }

        for (Thread botThread : botThreads) {
            try {
                botThread.join();
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }
}